%{?nodejs_find_provides_and_requires}

%global packagename browser-unpack
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.1.1
Release: 1%{?dist}.3
Summary: Parse a bundle generated by browser-pack
License: MIT
URL: https://github.com/substack/browser-unpack
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(acorn) >= 2.1.0
BuildRequires: npm(acorn) < 3.0.0
BuildRequires: npm(browser-pack) >= 5.0.1
BuildRequires: npm(concat-stream) >= 1.5.0
BuildRequires: npm(concat-stream) < 2.0.0
BuildRequires: npm(minimist) >= 1.1.1
BuildRequires: npm(minimist) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 4.0.1
BuildRequires: npm(tape) < 5.0.0
%endif

%description
Parse a bundle generated by browser-pack.


%prep
%setup -q -n package
%nodejs_fixdep browser-pack '>=5.0.1'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js bin \
        %{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/cmd.js \
       %{buildroot}%{_bindir}/browser-unpack

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}
%{_bindir}/browser-unpack

%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 1.1.1-1
- Initial package.
